@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/WorkSans-Regular.ttf') format('truetype');
}

@font-face {
    font-family: 'Work Sans';
    src: url('../fonts/WorkSans-Medium.ttf') format('truetype');
}

@font-face {
    font-family: 'Space Mono';
    src: url('../fonts/SpaceMono-Bold.ttf') format('truetype');
}
@font-face {
    font-family: 'Space Mono';
    src: url('../fonts/SpaceMono-Regular.ttf') format('truetype');
}

body {
    font-family: 'Work Sans', sans-serif;
}

/* Main css */

.discover-top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 60px;
}

.discover-top-text {
    max-width: 763px;
}
.discover-top-text h1 {
    font-family: 'Work Sans';
    font-weight: 600;
    font-size: 38px;
    line-height: 120%;
    text-transform: capitalize;
    margin-bottom: 10px;
}

.discover-top-text p {
    font-family: 'Work Sans';
    font-weight: 400;
    font-size: 22px;
    line-height: 160%;
    text-transform: capitalize;
}

.discover-top button {
    width: 187px;
    height: 60px;
    border-radius: 20px;
    border: 2px solid #a259ff;
    background-color: transparent;
    cursor: pointer;

    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;

    font-family: 'Work Sans';
    font-weight: 600;
    font-size: 16px;
    line-height: 140%;
    color: #ffffff;
    align-self: flex-end;
}

.discover-card-bottom-btn {
    width: 100%;
    height: 60px;
    border-radius: 20px;
    border: 2px solid #a259ff;
    background-color: transparent;
    cursor: pointer;

    display: none;
    align-items: center;
    justify-content: center;
    gap: 12px;

    font-family: 'Work Sans';
    font-weight: 600;
    font-size: 16px;
    line-height: 140%;
    color: #ffffff;
    align-self: flex-end;
}

.discover-cards-row {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
    justify-content: space-between;
}

.discover-card {
    background-color: #3b3b3b;
    border-radius: 21px;
}
.card-img-big {
    width: 100%;
}

.card-info {
    padding: 20px 30px 25px;
}

.discover-card-name {
    font-family: 'Work Sans';
    font-weight: 600;
    font-size: 22px;
    line-height: 140%;
    text-transform: capitalize;
    color: #ffffff;
    margin-bottom: 5px;
}

.discover-card-avatar {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 25px;
}

.discover-card-avatar img {
    width: 24;
    height: 24;
    border-radius: 120px;
}

.card-avatar-name {
    font-family: 'Space Mono';
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    color: #ffffff;
}

.discover-additional-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.discover-card-price p,
.discover-card-bid p {
    font-family: 'Space Mono';
    font-weight: 400;
    font-size: 12px;
    line-height: 110%;
    color: #858584;
    margin-bottom: 8px;
}

.discover-card-price h2,
.discover-card-bid h2 {
    font-family: 'Space Mono';
    font-weight: 400;
    font-size: 16px;
    line-height: 140%;
    color: #ffffff;
}

/* Responsive */
@media (min-width: 481px) and (max-width: 768px) {
    .discover-cards-row {
        grid-template-columns: repeat(2, 1fr);
        justify-content: center;
    }
    .discover-card-3 {
        display: none;
    }
}

@media (min-width: 320px) and (max-width: 480px) {
    .discover-cards-row {
        grid-template-columns: repeat(1, 1fr);
        justify-content: center;
    }
    .discover-card-3 {
        display: block;
    }
    .discover-top button {
        display: none;
    }
    .discover-card-bottom-btn {
        display: flex;
    }
}
